Subject: AW: "IP/IP" Media gateways?

From: Ruppelt Christian <[email-masked]>
Date: Fri, 17 Mar 2000 17:19:32 +0100

I apologize for the litte info 
but your guessing meets my thinking

VoIP call from Network A to B.
The MGC at the Border (network A/Internet) creates a context in the "IP/IP
MG".
This context contains two terminations for the packet side.
One for the "On-net-side"   (Network A) and one for the "Off-net-side"
(Network B).
I think with the current H.248 it is not possible to address 
two packet terminations in a MG and each one of them in a different
IP-network,
right?

Christian 

> -----Ursprüngliche Nachricht-----
> Von:  Chip Sharp [SMTP:[email-masked]]
> Gesendet am:  Freitag, 17. März 2000 18:55
> An:   Ruppelt Christian; [email-masked]
> Betreff:      Re: "IP/IP" Media gateways?
> 
> H.248 is pretty flexible, so I suppose you could define a package to do 
> about anything you want.  Whether it makes sense or not is another matter.
> 
> IMO, the network architecture you show below (and which I have seen before
> 
> in BICC discussions) probably has a lot bigger problems than just the
> H.248 
> part.  But that isn't BICC's problem I guess.
> 
> Yes, there has been discussions of H.248 controlling what you refer to as 
> IP-IP gateway devices (e.g., IVRs, transcoders, etc.) and I can envision a
> 
> simple first cut at a package to do this.  I'm actually not sure any new 
> work would need to be done.
> 
> As John has mentioned, this looks like a NAT function.  You don't give
> much 
> info on what the gateway would have to do so I'm guessing here.
> 
> Using H.248, the first MGC in Net A would have to give the first MG in Net
> 
> A the IP address of the IP-IP MG as the destination of the RTP stream.
> The 
> MGC controlling the IP-IP MG would have to set up a context with 2 packet 
> terminations.  One termination has an IP address of an interface on Net A 
> and the other termination has an IP address of an interface on the Public 
> Internet.  The same action would have to occur between the other MGC and 
> IP-IP MG.  The MG would then "just" have to translate the the IP addresses
> 
> between terminations.  If the port number needs to be translated, then
> that 
> could probably be handled as well.  The MGC controlling the IP-IP MGs
> would 
> act like a mediation device between the two domains in terms of
> translating 
> the signaling.
> 
> Now how you set up your IGP and BGP to handle routing within your network 
> and between networks is a different matter, especially if you are planning
> 
> to support any other applications on your nets other than VoIP.
> 
> Chip
> 
> At 01:02 PM 3/17/00 +0100, Ruppelt Christian wrote:
> >maybe I missed the discussion...
> >
> >Does H.248/Megaco provide a solution for "IP/IP" Media gateways?
> >
> >
> >Motivation:
> 
>         IP Domain A                  IP Domain B
>     MGC--(BICC)----MGC--(BICC)---MGC------
>     /              /              /
> (H.248)         (H.248 ???)   (H.248 ???)
>     \               \              \
>     MG--Net A---"IP/IP MG"----"IP/IP MG"--NetB
>                             ^
>                           Public
>                          Internet
> 
> >IP real time streams cross borders between different administrative
> >domains, (e.g.VoIP VPNs embedded in Telco IP backbones,enterprise
> >intranets).  The address of MG in Domain A is not known in the Domain B
> and
> >vice versa.  A solution for IPv4 and it's restricted address space is 
> >required.
> >
> >For a Call from Domain A into Domain B on a per call basis the MGC
> >has to select the ports on the "IP/IP MG"
> >
> >Christian
> 
> Support NetAid!  http://www.netaid.org
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.                	
> --------------------------------------------------

---

From: Chip Sharp <[email-masked]>
Date: Fri, 17 Mar 2000 12:13:07 -0800

>two packet terminations in a MG and each one of them in a different

No, I think H.248 can handle this pretty easily.  As I said, it is very 
flexible.  Worst case, it would require a new package. Anyone up for 
defining a NAT package. ;-)

Please note that just because I think it can be done fairly easily in H.248 
does not means that I think it makes sense to do it.  Of course, you guys 
may have already figured out all the routing and other implications.